module Main where

import Internal.GridTabularList
import Brick.Widgets.TabularList.Grid

main :: IO ()
main = do
  let msgs = [ "Press Up arrow or k to go up one item"
             , "Press Down arrow or j to go down one item"
             , "Press PageUp or Ctrl+f to go up one page"
             , "Press PageDown or Ctrl+b to go down one page"
             , "Press Home or g to go to the beginning"
             , "Press End or G to go to the end" 
             , "Press Ctrl+u to go up half page"
             , "Press Ctrl+d to go down half page"
             , " "
             , "Press Left arrow or h to go left by one column"
             , "Press Right arrow or l to go right by one column"
             , "Press Ctrl+Home or H to go to the first column"
             , "Press Ctrl+End or L to go to the last column"
             , "Press Ctrl+PageUp or Alt+h or Backspace to go left by one page of columns"
             , "Press Ctrl+PageDown or Alt+l to go right by one page of columns" ]
  runMain msgs $ \r e -> do
    handleGridListEvent r e
    handleGridListEventVi r e
